Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.webservice
Class PebbleAPIHandler

    java.lang.Object
      net.sourceforge.pebble.webservice.AbstractAPIHandler
          net.sourceforge.pebble.webservice.PebbleAPIHandler

    public class PebbleAPIHandler

extends AbstractAPIHandler

A handler for the Pebble API (accessed via XML-RPC).

Author:
  Simon Brown

Field Summary
`static java.lang.String` | `ATTACHMENT`
`static java.lang.String` | `ATTACHMENT_SIZE`
`static java.lang.String` | `ATTACHMENT_TYPE`
`static java.lang.String` | `ATTACHMENT_URL`
`static java.lang.String` | `AUTHOR`
`static java.lang.String` | `BODY`
`static java.lang.String` | `CATEGORIES`
`static java.lang.String` | `DATE`
`static java.lang.String` | `EXCERPT`
`static java.lang.String` | `ID`
`static java.lang.String` | `PERMALINK`
`static java.lang.String` | `SUBTITLE`
`static java.lang.String` | `TAGS`
`static java.lang.String` | `TITLE`
`static java.lang.String` | `UUID`

Constructor Summary
`PebbleAPIHandler()`

Method Summary
`java.util.Vector` | `getRecentBlogEntries(java.lang.String blogid, java.lang.String username, java.lang.String password, int numberOfPosts)` Gets a list of the recent blog entries.

Methods inherited from class net.sourceforge.pebble.webservice.AbstractAPIHandler
`authenticate, formatPostId, getAuthenticationManager, getBlogWithBlogId, getBlogWithPostId, getPostId, setAuthenticationManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### UUID

    public static final java.lang.String UUID

See Also:
  Constant Field Values

### DATE

    public static final java.lang.String DATE

See Also:
  Constant Field Values

### AUTHOR

    public static final java.lang.String AUTHOR

See Also:
  Constant Field Values

### TITLE

    public static final java.lang.String TITLE

See Also:
  Constant Field Values

### SUBTITLE

    public static final java.lang.String SUBTITLE

See Also:
  Constant Field Values

### EXCERPT

    public static final java.lang.String EXCERPT

See Also:
  Constant Field Values

### BODY

    public static final java.lang.String BODY

See Also:
  Constant Field Values

### PERMALINK

    public static final java.lang.String PERMALINK

See Also:
  Constant Field Values

### CATEGORIES

    public static final java.lang.String CATEGORIES

See Also:
  Constant Field Values

### TAGS

    public static final java.lang.String TAGS

See Also:
  Constant Field Values

### ATTACHMENT

    public static final java.lang.String ATTACHMENT

See Also:
  Constant Field Values

### ATTACHMENT_URL

    public static final java.lang.String ATTACHMENT_URL

See Also:
  Constant Field Values

### ATTACHMENT_SIZE

    public static final java.lang.String ATTACHMENT_SIZE

See Also:
  Constant Field Values

### ATTACHMENT_TYPE

    public static final java.lang.String ATTACHMENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### PebbleAPIHandler

    public PebbleAPIHandler()

Method Detail

### getRecentBlogEntries

    public java.util.Vector getRecentBlogEntries(java.lang.String blogid,
                                                 java.lang.String username,
                                                 java.lang.String password,
                                                 int numberOfPosts)
                                          throws XmlRpcException

  Gets a list of the recent blog entries.

  Parameters:
    `blogid` - the ID of the blog (ignored)
    `username` - the username used for logging in via XML-RPC
    `password` - the password used for logging in via XML-RPC
    `numberOfPosts` - the number of posts to get
  Returns:
    a Vector of Hashtables (an array of structs) representing blog entries
  Throws:
    `org.apache.xmlrpc.XmlRpcException` - if something goes wrong, including an authentication error
    `XmlRpcException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.